Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWXML
Class PermanentCalculatedMember

    java.lang.Object
      |
      +--oracle.AWXML.BaseObject
            |
            +--oracle.AWXML.CalculatedMember
                  |
                  +--oracle.AWXML.PermanentCalculatedMember

public class PermanentCalculatedMember
extends CalculatedMember

A `CalculatedMember` that is stored permanently in the analytic workspace. A `PermanentCalculatedMember` is owned by a `Dimension`.

See Also:
  `SessionCalculatedMember`

Fields inherited from class oracle.AWXML.BaseObject
`DATABASENULL`

Constructor Summary
`PermanentCalculatedMember(BaseObject input)` Creates a `PermanentCalculatedMember` for the specified `Dimension`.

Method Summary
`java.lang.String` | `Alter(AWConnection connection)` Applies alterations of the text attributes of `PermanentCalculatedMember` within the current analytic workspace of the specified connection.
`java.lang.String` | `Create(AWConnection connection)` Creates a `PermanentCalculatedMember` in the current analytic workspace of the specified connection.
`java.lang.String` | `Delete(AWConnection connection)` Removes the `PermanentCalculatedMember` from the current analytic workspace of the specified connection.
`java.lang.String` | `getMemberReference()` Gets the dimension member that the `PermanentCalculatedMember` overrides.
`boolean` | `isOverride()` Indicates whether the `PermanentCalculatedMember` overrides the dimension member specified by the `setMemberReference` method.
`void` | `setIsOverride(boolean input)` Specifies whether the `PermanentCalculatedMember` overrides the dimension member specified by the `setMemberReference` method.
`void` | `setIsOverride(java.lang.Boolean input)` Specifies whether the `PermanentCalculatedMember` overrides the dimension member specified by the `setMemberReference` method.
`void` | `setMemberReference(java.lang.String input)` Specifies the dimension member that the `PermanentCalculatedMember` overrides.
`java.lang.String` | `WriteToXML()` Gets an XML representation of the `PermanentCalculatedMember`.

Methods inherited from class oracle.AWXML.CalculatedMember
`getExpressionText, setExpressionText`

Methods inherited from class oracle.AWXML.BaseObject
`CreateAfter, CreateBefore, CreateFirst, DataRead, getColumnName, getId, getLongName, getLongName, getName, getOwner, getPluralName, getPluralName, getSchema, getShortName, getShortName, setColumnName, setLongName, setLongName, setName, setPluralName, setPluralName, setSchema, setShortName, setShortName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PermanentCalculatedMember

    public PermanentCalculatedMember(BaseObject input)

  Creates a `PermanentCalculatedMember` for the specified `Dimension`. An application should use the `createPermanentCalculatedMember` method of the `Dimension` to create a `PermanentCalculatedMember` rather than using this constructor.
  Parameters:
    `input` - The `Dimension` that you want to own the `PermanentCalculatedMember`.

Method Detail

### WriteToXML

    public java.lang.String WriteToXML()

  Gets an XML representation of the `PermanentCalculatedMember`.
  Overrides:
    WriteToXML in class CalculatedMember
  Returns:
    An XML `String` that represents the `PermanentCalculatedMember`.

### Create

    public java.lang.String Create(AWConnection connection)

  Creates a `PermanentCalculatedMember` in the current analytic workspace of the specified connection.
  Overrides:
    Create in class BaseObject
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
  Returns:
    A `String` that contains `success` if the method successfully creates the `PermanentCalculatedMember`.

### Alter

    public java.lang.String Alter(AWConnection connection)

  Applies alterations of the text attributes of `PermanentCalculatedMember` within the current analytic workspace of the specified connection.
  Overrides:
    Alter in class CalculatedMember
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
  Returns:
    A `String` that contains `Success` if the method successfully alters the `PermanentCalculatedMember`.

### Delete

    public java.lang.String Delete(AWConnection connection)

  Removes the `PermanentCalculatedMember` from the current analytic workspace of the specified connection.
  Overrides:
    Delete in class CalculatedMember
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
  Returns:
    A `String` that contains `Success` if the method successfully deletes the `PermanentCalculatedMember`.

### setMemberReference

    public void setMemberReference(java.lang.String input)

  Specifies the dimension member that the `PermanentCalculatedMember` overrides.
  Parameters:
    `input` - A `String` that contains the name of the dimension member that you want the `PermanentCalculatedMember` to override.

### getMemberReference

    public java.lang.String getMemberReference()

  Gets the dimension member that the `PermanentCalculatedMember` overrides.
  Returns:
    A `String` that contains the name of the dimension member that the `PermanentCalculatedMember` overrides.

### setIsOverride

    public void setIsOverride(boolean input)

  Specifies whether the `PermanentCalculatedMember` overrides the dimension member specified by the `setMemberReference` method.
  Parameters:
    `input` - A `boolean` that is `true` if you want the `PermanentCalculatedMember` to override an existing dimension member or `false` otherwise.

### setIsOverride

    public void setIsOverride(java.lang.Boolean input)

  Specifies whether the `PermanentCalculatedMember` overrides the dimension member specified by the `setMemberReference` method.
  Parameters:
    `input` - A `Boolean` that contains `true` if you want the `PermanentCalculatedMember` to override an existing dimension member or `false` otherwise.

### isOverride

    public boolean isOverride()

  Indicates whether the `PermanentCalculatedMember` overrides the dimension member specified by the `setMemberReference` method.
  Returns:
    A `boolean` that is `true` if the `PermanentCalculatedMember` overrides an existing dimension member or `false` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.